Timelines
GET/api/v1/timelines/home
Home timeline
Query parameters
limitintegermax_idstringmin_idstringinclude_reblogsbooleanphotos_reblogs_onlyboolean_pebooleanReturns
curl "https://pixelfed.social/api/v1/timelines/home?limit=5" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "728341901556629504",
"created_at": "2026-09-14T17:42:10.000Z",
"url": "https://pixelfed.social/p/dansup/728341901556629504",
"content": "Golden hour at the pier",
"visibility": "public",
"sensitive": false,
"spoiler_text": "",
"reblog": null,
"favourited": false,
"reblogged": false,
"bookmarked": false,
"favourites_count": 12,
"reblogs_count": 1,
"replies_count": 2,
"media_attachments": [{
"id": "728341067224219648",
"type": "image",
"url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
"preview_url": "https://pixelfed.social/storage/m/_v2/2/pier_thumb.jpg",
"description": "Wooden pier at sunset, two people fishing at the far end",
"blurhash": "UJF}Qo~W9aIV4.xuRjWB00WB-pof",
"meta": {
"original": {
"width": 1080,
"height": 1350,
"aspect": 0.8
}
}
}],
"account": {
"id": "2",
"username": "dansup",
"acct": "dansup",
"display_name": "dansup",
"url": "https://pixelfed.social/dansup"
}
}]GET/api/v1.1/accounts/timelines/home
Home timeline (Pixelfed path)
Query parameters
limitintegermax_idstringmin_idstringinclude_reblogsbooleanphotos_reblogs_onlyboolean_pebooleanReturns
curl "https://pixelfed.social/api/v1.1/accounts/timelines/home?limit=5" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "728341901556629504",
"created_at": "2026-09-14T17:42:10.000Z",
"url": "https://pixelfed.social/p/dansup/728341901556629504",
"content": "Golden hour at the pier",
"visibility": "public",
"reblog": null,
"favourited": false,
"favourites_count": 12,
"reblogs_count": 1,
"replies_count": 2,
"media_attachments": [{
"id": "728341067224219648",
"type": "image",
"url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg"
}],
"account": {
"id": "2",
"username": "dansup",
"acct": "dansup"
}
}]GET/api/v1/timelines/public
Public timeline
Query parameters
localbooleanremotebooleanlimitintegermax_idstringmin_idstring_pebooleanReturns
curl "https://pixelfed.social/api/v1/timelines/public?remote=true&limit=10" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "728355012774117376",
"created_at": "2026-09-14T18:34:02.000Z",
"url": "https://pixelfed.social/p/jonas/728355012774117376",
"content": "First frost on the allotment",
"visibility": "public",
"sensitive": false,
"reblog": null,
"favourited": false,
"reblogged": false,
"bookmarked": false,
"favourites_count": 4,
"reblogs_count": 0,
"replies_count": 0,
"media_attachments": [{
"id": "728354900331618304",
"type": "image",
"url": "https://pixelfed.social/storage/m/_v2/412760184563377/frost.jpg",
"preview_url": "https://pixelfed.social/storage/m/_v2/412760184563377/frost_thumb.jpg",
"description": "Frost on cabbage leaves in early morning light"
}],
"account": {
"id": "412760184563377",
"username": "jonas",
"acct": "jonas",
"display_name": "Jonas",
"url": "https://pixelfed.social/jonas"
}
}]GET/api/v1/timelines/tag/{hashtag}
Hashtag timeline
Path parameters
hashtagstringrequiredQuery parameters
limitintegeronly_mediabooleancursorstringmin_idstringmax_idstring_pebooleanReturns
curl "https://pixelfed.social/api/v1/timelines/tag/goldenhour?limit=10" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
[{
"id": "728341901556629504",
"created_at": "2026-09-14T17:42:10.000Z",
"url": "https://pixelfed.social/p/dansup/728341901556629504",
"content": "Golden hour at the pier <a href=\"https://pixelfed.social/discover/tags/goldenhour\">#goldenhour</a>",
"visibility": "public",
"reblog": null,
"favourited": false,
"favourites_count": 12,
"reblogs_count": 1,
"replies_count": 2,
"tags": [{
"name": "goldenhour",
"url": "https://pixelfed.social/discover/tags/goldenhour"
}],
"media_attachments": [{
"id": "728341067224219648",
"type": "image",
"url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg"
}],
"account": {
"id": "2",
"username": "dansup",
"acct": "dansup"
}
}]GET/api/v1/markers
Get a read marker
Mastodon compatible User token Scope read
Query parameters
timeline[]array of stringsrequiredReturns
curl "https://pixelfed.social/api/v1/markers?timeline[]=home" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN"Response
{
"last_read_id": "728341901556629504",
"version": 3,
"updated_at": "2026-09-14T19:02:44.118Z"
}POST/api/v1/markers
Save a read marker
Mastodon compatible User token Scope write
Body parameters
home[last_read_id]stringnotifications[last_read_id]stringReturns
curl -X POST "https://pixelfed.social/api/v1/markers" \
-H "Accept: application/json" \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"home": {
"last_read_id": "728341901556629504"
}
}'Response
{
"last_read_id": "728341901556629504",
"version": 4,
"updated_at": "2026-09-14T19:05:10.502Z"
}